## org.eclipse.amp.agf3d
Class ScapeEditRoot3DPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart
                  org.eclipse.amp.agf.gef.ScapeEditPart
                      org.eclipse.amp.agf3d.ScapeEdit3DPart
                          org.eclipse.amp.agf3d.ScapeEditRoot3DPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

    public class ScapeEditRoot3DPart

extends ScapeEdit3DPart

Author:
  mparker

Field Summary
`static int` `DEFAULT_ANIMATION_STEP_COUNT`

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, SCALE`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ScapeEditRoot3DPart(ICompositionProvider memberProvider, ILocationProvider locationProvider, org.eclipse.jface.viewers.IFilter filter)`

Method Summary
`org.eclipse.draw2d.geometry.Dimension` `calculateDimension()`
`int` `getAnimationStep()`
`int` `getAnimationStepCount()`
`ScapeEditPart` `getRootScapeEditPart()`
`int` `setAnimationStep(int animationStep)`
`void` `setAnimationStepCount(int animationStepCount)`

Methods inherited from class org.eclipse.amp.agf.gef.ScapeEditPart
`getFilter, getGraphParts, getLocationProvider, getMemberProvider, getModelRoot, getSourceConnectionAnchor, getSourceConnectionAnchor, getSourceConnections, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetConnections, propertyChange, refresh, setFilter, setLocationProvider, setMemberProvider`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, deactivate`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, addNotify, getAdapter, getContentPane, getDragTracker, getFigure, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### DEFAULT_ANIMATION_STEP_COUNT

    public static final int DEFAULT_ANIMATION_STEP_COUNT

See Also:
  Constant Field Values

Constructor Detail

### ScapeEditRoot3DPart

    public ScapeEditRoot3DPart(ICompositionProvider memberProvider,
                               ILocationProvider locationProvider,
                               org.eclipse.jface.viewers.IFilter filter)

Method Detail

### calculateDimension

    public org.eclipse.draw2d.geometry.Dimension calculateDimension()

  Overrides:
    `calculateDimension` in class `ScapeEditPart`

### getRootScapeEditPart

    public ScapeEditPart getRootScapeEditPart()

  Overrides:
    `getRootScapeEditPart` in class `ScapeEditPart`
  Returns:
  See Also:
    `ScapeEditPart.getRootScapeEditPart()`

### getAnimationStep

    public int getAnimationStep()

  Returns:
    the animationStep

### getAnimationStepCount

    public int getAnimationStepCount()

  Returns:
    the animationStepCount

### setAnimationStep

    public int setAnimationStep(int animationStep)

### setAnimationStepCount

    public void setAnimationStepCount(int animationStepCount)